package edu.stanford.peer.secrmi.test;

import java.io.*; 
import java.rmi.*; 
import java.rmi.server.*;

public class HelloImpl extends RemoteObject implements Hello 
{
    /* 
     * Remote method returns String "Hello World!" 
     * when invoked. 
     */ 
    public String sayHello(String hello) throws RemoteException { 
        System.out.println(hello); 
        return  "Yes?"; 
    } 

}
  
/* Code for testing encryption
public class HelloImpl extends UnicastRemoteObject implements Hello 
{
    // Constructor calls constructor of superclass with 
    // client and server socket factory  parameters. 
    public HelloImpl(Cipher c) throws Exception { 
        super(0, new EncryptionClientSocketFactory(c), 
                 new EncryptionServerSocketFactory(c)); 
    } 

    // Remote method returns String "Hello World!" 
    // when invoked. 
    public String sayHello(String hello) throws RemoteException { 
        System.out.println(hello); 
        return  "Yes?"; 
    } 
}

        try {


		
			KeyGenerator kg = KeyGenerator.getInstance("DES");
			kg.init(new SecureRandom());
			SecretKey key = kg.generateKey();
			Cipher cipher = Cipher.getInstance("DES/CFB8/NoPadding");
			cipher.init(Cipher.ENCRYPT_MODE, key);
					 
            HelloImpl obj = new HelloImpl(cipher); 
            Naming.rebind("/HelloServer", obj); 
            System.out.println("HelloServer bound in registry"); 
        } catch (Exception e) { 
            System.out.println("HelloImpl err: " + e.getMessage()); 
            e.printStackTrace(); 
        } 

*/

