package edu.stanford.peer.secrmi.test;

import java.rmi.*;
import java.security.KeyStore;
import edu.stanford.peer.secrmi.SecureClientToolkit;

public class HelloClient {

    private static String message = null;

    public static void main(String args[]) {

       //Create and install a security manager
       if (System.getSecurityManager() == null)
           System.setSecurityManager(new RMISecurityManager());

       //java.security.Security.addProvider(
	   		//new com.sun.net.ssl.internal.ssl.Provider());

       try {
	   		KeyStore ks = SecureClientToolkit.loadKeyStore("JKS", "truststore", null);
	   		SecureClientToolkit sct = new SecureClientToolkit(ks, "test", ks, "test");
			
			Hello obj = (Hello) sct.lookupSigned("/SignedHelloServer");

			/*
           SignedRemoteObject sro = (SignedRemoteObject) Naming.lookup("/HelloServer");
		   Hello obj = (Hello)(sro.getSignedObject().getObject());
		    */

           message = obj.sayHello("Hey, Man");
           System.out.println(message);

		    Hello obj2 = (Hello)Naming.lookup("HelloServer");
			if (obj2.equals(obj)) {
				System.out.println("Equals!");
			} else {
				System.out.println("Not Equals ????");
			}

       } catch (Exception e) {
           System.out.println("HelloClient exception: " +
                               e.getMessage());
           e.printStackTrace();
       }

    }

}
