package edu.stanford.peer.secrmi.test;

import edu.stanford.peer.secrmi.*;

import java.io.*;
import java.net.*;

import javax.net.*;
import javax.net.ssl.*;
import java.security.*;
import com.sun.net.ssl.*;

public class SSLSimpleClient {

    public static void main(String[] args) throws Exception 
	{
		KeyStore tks = SecureServerToolkit.loadKeyStore("JKS", args[0], null);

		SSLRMIClientSocketFactory sf = new SSLRMIClientSocketFactory(tks);

	/*
		trustKeyStore = new TrustStore(trustKeyStore).toKeyStore("JKS");

    	TrustManagerFactory tmf = TrustManagerFactory.getInstance("SunX509", "SunJSSE");
		tmf.init(trustKeyStore);

		// Create SSL Context using default trust managers and default secure random
		com.sun.net.ssl.SSLContext sslContext = SSLContext.getInstance("TLS");
		sslContext.init(null, tmf.getTrustManagers(), null);

		SSLSocketFactory sf = sslContext.getSocketFactory();
	*/

        Socket s = sf.createSocket(args[1], Integer.parseInt(args[2]));

        BufferedReader br = new BufferedReader(
                                    new InputStreamReader(
                                        s.getInputStream()));
        PrintWriter pw = new PrintWriter(s.getOutputStream());
        System.out.println("Who is Sylvia?");
        pw.println("Who is Sylvia?");
        pw.flush();
        System.out.println(br.readLine());
        s.close();
    }
}
