package edu.stanford.peer.secrmi.test;

import java.io.*;
import java.net.*;
import java.security.*;

import javax.net.*;
import javax.net.ssl.*;
import javax.security.cert.*;
import com.sun.net.ssl.*;

import edu.stanford.peer.secrmi.*;

public class TestSSLServer {

    public static void main(String[] args) throws Exception {
	
		KeyStore ks = SecureServerToolkit.loadKeyStore("JKS", args[0], null);
		SSLRMIServerSocketFactory ssf = new SSLRMIServerSocketFactory(ks, args[1].toCharArray());
		ServerSocket ss = ssf.createServerSocket(9096);

	/*
        SSLContext sc = SSLContext.getInstance("TLS");
        KeyManagerFactory kmf =
                        KeyManagerFactory.getInstance("SunX509");
         = KeyStore.getInstance("JKS");
        char[] password = args[1].toCharArray();
        ks.load(new FileInputStream(args[0]), null);
        kmf.init(ks, password);
        sc.init(kmf.getKeyManagers(), null, null);

        ServerSocketFactory ssf = sc.getServerSocketFactory();
        ServerSocket ss = ssf.createServerSocket(9096);
	*/

		System.out.println("To start server");
        while (true) {
            new SSLSimpleServer(ss.accept()).start();
        }
    }
}
